<?php
/**
 * bootstrap
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
// 基本設定
mb_internal_encoding('UTF-8');

// include_pathをappディレクトリに変更
define('APP_ROOT', dirname(dirname(__FILE__)));
set_include_path(APP_ROOT);

// helper読み込み
require_once('base/h.php');

// magic_quotes_gpc対策
Me_Util::against_magic_quotes();

// 初期化
Me_Config::init();
Me_Util::init();

// エラーレベル設定
if (Me_Config::get('debug')) {
    if (PHP_VERSION_ID >= 50400) {
        error_reporting(E_ALL ^ E_NOTICE ^ E_STRICT);
    } else {
        error_reporting(E_ALL ^ E_NOTICE);
    }
    ini_set('display_errors', 1);
} else {
    error_reporting(0);
}

/**
 * autoload設定
 * @param string $class_name
 */
function __autoload($class_name)
{
    $pieces = explode('_', $class_name);
    if ($pieces[0] === 'Me') {
        require_once 'base/' . $class_name . '.php';
    } else {
        require_once 'models/' . $pieces[0] . '/' . $class_name . '.php';
    }
}