<?php
/**
 * Page Revision Logic
 * @package     Page
 * @copyright   Copyright (C) 2012 MicroEngine Inc.
 */
class Page_Revision_Logic
{
    /**
     * リビジョンID
     * @var integer 
     */
    public $revision_id;
    /**
     * DAOオブジェクト
     * @var Page_Revision_Dao
     */
    private $dao;

    /**
     * コンストラクタ
     */
    public function __construct()
    {
        $this->dao = new Page_Revision_Dao();
    }

    /**
     * Page_Form に履歴情報をセット
     * @param Page_Form $form
     * @param integer $revision_id
     */
    public function set_revision_data($form, $revision_id)
    {
        // 履歴ページ情報取得
        $page_revision = $this->dao->select($revision_id);
        $form->revision_id = $revision_id;
        $form->title = $page_revision->title;
        $form->keywords = $page_revision->keywords;
        $form->description = $page_revision->description;
        $form->note = $page_revision->note;
        
        // 履歴MEタグ情報取得
        $metag_revision_dao = new Metag_Revision_Dao();
        $form->data = $metag_revision_dao->get_page_data($revision_id);
    }
    
    /**
     * 履歴一覧を取得 
     * @param string $page_id
     * @return array $rows
     */
    public function select_list_by_page_id($page_id)
    {
        return $this->dao->select_list_by_page_id($page_id);
    }
}